Get all rate plan charges
get
/crmRestApi/resources/11.13.18.05/ratePlanCharges
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- EstimateChargeFinder Finds all the recurring and usage charges for given rate plan.
Finder Variables- b_priced_on_date; string;
- b_rate_plan_id; integer;
- PrimaryKey Finds the rate plan charge with the specified primary key.
Finder Variables- ChargeDefinitionId; integer; The unique identifier charge definition of the rate plan charge.
- RatePlanId; integer; The unique identifier rate plan of the rate plan charge.
- RatePlanChargeFinder Finds all the charges for given rate plan.
Finder Variables- b_priced_on_date; string;
- b_rate_plan_id; integer;
- UsageChargeFinder Finds all the usage charges for given rate plan.
Finder Variables- b_priced_on_date; string;
- b_rate_plan_id; integer;
- EstimateChargeFinder Finds all the recurring and usage charges for given rate plan.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AppliesToCode; string; The applies to code of the rate plan charge.
- AttributePricingMatrixId; integer; The pricing matrix identifier of the rate plan charge.
- BasePrice; number; The base price of the rate plan charge.
- BasePriceMatrixId; integer; The base price matrix identifier of the rate plan charge.
- CalculateMarginFlag; boolean; The calculate margin flag of the rate plan charge.
- CalculationMethodCode; string; The calculation method code of the rate plan charge.
- CalculationTypeCode; string; The calculation type code of the rate plan charge.
- CanAdjustFlag; boolean; Indicates whether the rate plan charge is adjusted.
- ChargeDefinitionCode; string; The charge definition code of the rate plan charge.
- ChargeDefinitionId; integer; The charge definition identifier of the rate plan charge.
- ChargeName; string; The charge name of the rate plan charge.
- ChargePeriodCode; string; The charge period code of the rate plan charge.
- ChargeSubtypeCode; string; The charge subtype code of the rate plan charge.
- ChargeTypeCode; string; The charge type code of the rate plan charge.
- CostCalculationAmount; number; The cost calculation amount of the rate plan charge.
- EndDate; string; The end date of the rate plan charge.
- ParentEntityId; integer; The parent entity identifier of the rate plan charge.
- PeriodicBillingFlag; boolean; The period billing flag of the rate plan charge.
- PeriodicRevenueRecognitionFlag; boolean; The periodic revenue recognition flag of the rate plan charge.
- PriceListChargeId; integer; The price list charge identifier of the rate plan charge.
- PriceListId; integer; The price list identifier of the rate plan charge.
- PricePeriodicityCode; string; The price periodicity code of the rate plan charge.
- PriceTypeCode; string; The price type code of the rate plan charge.
- QuantityAttribute; string; The quantity attribute of the rate plan charge.
- QuantityUnitOfMeasureAttribute; string; The quantity unit of measure attribute of the rate plan charge.
- RatePlanCurrencyCode; string; The rate plan currency code of the rate plan charge.
- RatePlanId; integer; The rate plan identifier of the rate plan charge.
- RefundableFlag; boolean; Indicates whether the rate plan charge is refundable.
- StartDate; string; The start date of the rate plan charge.
- TieredPricingHeaderId; integer; The tiered pricing header identifier of the rate plan charge.
- UsageUnitOfMeasure; string; The usage unit of measure of the rate plan charge.
- UsageUnitOfMeasureClass; string; The unit of measure class of the subscription balance code.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : ratePlanCharges
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : ratePlanCharges-item-response
Type:
Show Source
object-
AppliesToCode: string
Read Only:
trueMaximum Length:30The applies to code of the rate plan charge. -
AttributePricingMatrixId: integer
(int64)
Read Only:
trueThe pricing matrix identifier of the rate plan charge. -
BasePrice: number
Read Only:
trueThe base price of the rate plan charge. -
BasePriceMatrixId: integer
(int64)
Read Only:
trueThe base price matrix identifier of the rate plan charge. -
CalculateMarginFlag: boolean
Read Only:
trueMaximum Length:30The calculate margin flag of the rate plan charge. -
CalculationMethodCode: string
Read Only:
trueMaximum Length:30The calculation method code of the rate plan charge. -
CalculationTypeCode: string
Read Only:
trueMaximum Length:30The calculation type code of the rate plan charge. -
CanAdjustFlag: boolean
Read Only:
trueMaximum Length:30Indicates whether the rate plan charge is adjusted. -
ChargeDefinitionCode: string
Read Only:
trueMaximum Length:30The charge definition code of the rate plan charge. -
ChargeDefinitionId: integer
(int64)
Read Only:
trueThe charge definition identifier of the rate plan charge. -
ChargeName: string
Read Only:
trueMaximum Length:80The charge name of the rate plan charge. -
ChargePeriodCode: string
Read Only:
trueMaximum Length:3The charge period code of the rate plan charge. -
ChargeSubtypeCode: string
Read Only:
trueMaximum Length:30The charge subtype code of the rate plan charge. -
ChargeTypeCode: string
Read Only:
trueMaximum Length:30The charge type code of the rate plan charge. -
CostCalculationAmount: number
Read Only:
trueThe cost calculation amount of the rate plan charge. -
EndDate: string
(date-time)
Read Only:
trueThe end date of the rate plan charge. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ParentEntityId: integer
(int64)
Read Only:
trueThe parent entity identifier of the rate plan charge. -
PeriodicBillingFlag: boolean
Read Only:
trueMaximum Length:1The period billing flag of the rate plan charge. -
PeriodicRevenueRecognitionFlag: boolean
Read Only:
trueMaximum Length:1The periodic revenue recognition flag of the rate plan charge. -
PriceListChargeId: integer
(int64)
Read Only:
trueThe price list charge identifier of the rate plan charge. -
PriceListId: integer
(int64)
Read Only:
trueThe price list identifier of the rate plan charge. -
PricePeriodicityCode: string
Read Only:
trueMaximum Length:3The price periodicity code of the rate plan charge. -
PriceTypeCode: string
Read Only:
trueMaximum Length:30The price type code of the rate plan charge. -
QuantityAttribute: string
Read Only:
trueMaximum Length:300The quantity attribute of the rate plan charge. -
QuantityUnitOfMeasureAttribute: string
Read Only:
trueMaximum Length:300The quantity unit of measure attribute of the rate plan charge. -
RatePlanCurrencyCode: string
Read Only:
trueMaximum Length:15The rate plan currency code of the rate plan charge. -
RatePlanId: integer
Read Only:
trueThe rate plan identifier of the rate plan charge. -
RefundableFlag: boolean
Read Only:
trueMaximum Length:30Indicates whether the rate plan charge is refundable. -
StartDate: string
(date-time)
Read Only:
trueThe start date of the rate plan charge. -
TieredPricingHeaderId: integer
(int64)
Read Only:
trueThe tiered pricing header identifier of the rate plan charge. -
UsageUnitOfMeasure: string
Read Only:
trueMaximum Length:3The usage unit of measure of the rate plan charge. -
UsageUnitOfMeasureClass: string
Read Only:
trueMaximum Length:10The unit of measure class of the subscription balance code.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.